Subject: [quicwg/base-drafts] Re-use of PSK (#222)

From: ekr <[email-masked]>
Date: Tue, 24 Jan 2017 16:41:57 -0800

S 8.3 says:
```
A source address token is opaque and consumed only by the server.  Therefore it
can be included in the TLS 1.3 pre-shared key identifier for 0-RTT handshakes.
Servers that use 0-RTT are advised to provide new pre-shared key identifiers
after every handshake to avoid linkability of connections by passive observers.
Clients MUST use a new pre-shared key identifier for every connection that they
initiate; if no pre-shared key identifier is available, then resumption is not
possible.
```

This seem like an unnecessary requirement. Reusing the same PSK ID seems fine here.

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/quicwg/base-drafts/issues/222